Package org.eclipse.net4j.db.ddl.delta

## Class IDBDeltaVisitor.Copier

- java.lang.Object
- - org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Default
  - - org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter
    - - org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Copier

- All Implemented Interfaces:
    `IDBDeltaVisitor`
  Enclosing interface:
    IDBDeltaVisitor

      public static class IDBDeltaVisitor.Copier
      extends IDBDeltaVisitor.Filter

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter

      `IDBDeltaVisitor.Filter.ForbiddenChangeException, IDBDeltaVisitor.Filter.Policy`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor

      `IDBDeltaVisitor.Copier, IDBDeltaVisitor.Default, IDBDeltaVisitor.Filter, IDBDeltaVisitor.StopRecursion`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter

      `DEFAULT_POLICY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Copier()` |
    `Copier​(IDBDeltaVisitor.Filter.Policy policy)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doVisit​(IDBFieldDelta delta)` |
    `protected void` | `doVisit​(IDBIndexDelta delta)` |
    `protected void` | `doVisit​(IDBIndexFieldDelta delta)` |
    `protected void` | `doVisit​(IDBPropertyDelta<?> delta)` |
    `protected void` | `doVisit​(IDBSchemaDelta delta)` |
    `protected void` | `doVisit​(IDBTableDelta delta)` |
    `IDBSchemaDelta` | `getResult()` |

    - ### Methods inherited from class org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Filter

      `added, added, added, added, added, added, changed, changed, changed, changed, changed, changed, getPolicy, handle, removed, removed, removed, removed, removed, removed`

    - ### Methods inherited from class org.eclipse.net4j.db.ddl.delta.IDBDeltaVisitor.Default

      `illegalChangeKind, stopRecursion, visit, visit, visit, visit, visit, visit, visitDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Copier

          public Copier()

    - #### Copier

          public Copier​(IDBDeltaVisitor.Filter.Policy policy)

  - ### Method Detail

    - #### getResult

          public final IDBSchemaDelta getResult()

    - #### doVisit

          protected void doVisit​(IDBSchemaDelta delta)

      Overrides:
        `doVisit` in class `IDBDeltaVisitor.Filter`

    - #### doVisit

          protected void doVisit​(IDBTableDelta delta)

      Overrides:
        `doVisit` in class `IDBDeltaVisitor.Filter`

    - #### doVisit

          protected void doVisit​(IDBFieldDelta delta)

      Overrides:
        `doVisit` in class `IDBDeltaVisitor.Filter`

    - #### doVisit

          protected void doVisit​(IDBIndexDelta delta)

      Overrides:
        `doVisit` in class `IDBDeltaVisitor.Filter`

    - #### doVisit

          protected void doVisit​(IDBIndexFieldDelta delta)

      Overrides:
        `doVisit` in class `IDBDeltaVisitor.Filter`

    - #### doVisit

          protected void doVisit​(IDBPropertyDelta<?> delta)

      Overrides:
        `doVisit` in class `IDBDeltaVisitor.Filter`